Name:           p0rn-comfort
Version:        0.0.4
Release:        3%{?dist}
Summary:        Support programs for browsing image-gallery sites
License:        GPL
Group:          Applications/Internet
URL:            http://www.cgarbs.de/p0rn-comfort.en.html
Source0:        http://www.cgarbs.de/stuff/p0rn-comfort-%{version}.tar.gz
Patch0:         p0rn-modules.patch
Patch1:         p0rn-static.patch
Patch2:			p0rn-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       lynx, wget, mmv
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
p0rn-comfort consists of several support programs for browsing
image-gallery sites.  It includes a proxy which enables blacklisting
of thumbnail sites on-the-fly.  It also supports queueing of entire
pages for download and fetching them at a later time.  Queuing can
either be done manually (directly from your browser) or by an
automated download script which can also follow links between
different galleries.
       
%prep
%setup -q
%patch0 -p 1 -b .modules
%patch1 -p 1 -b .static
%patch2 -p 1 -b .paths

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{perl_vendorlib}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libexecdir}/p0rn-comfort
mkdir -p %{buildroot}%{_mandir}/man1

install -m 644 -D P0rn/DB.pm %{buildroot}%{perl_vendorlib}/P0rn/DB.pm
install -m 644 -D P0rn/Static.pm %{buildroot}%{perl_vendorlib}/P0rn/Static.pm
	

install -m 755 p0rn-bot p0rn-dbdump p0rn-dbrestore p0rn-download p0rn-grab \
	 p0rn-proxy \
	 %{buildroot}%{_bindir}

install -m 755 p0rn-dbadd p0rn-dbdel p0rn-dblist \
	%{buildroot}%{_libexecdir}/p0rn-comfort

# Create and install man-pages
#for file in p0rn-bot p0rn-dbadd p0rn-dbdel p0rn-dblist p0rn-download; do 
#	perldoc -d %{buildroot}%{_mandir}/man1/$file.1 $file
#done
#chmod 644 %{buildroot}%{_mandir}/man1/*
for file in $(cd docs; ls *.1); do
	install -m 644 docs/$file %{buildroot}%{_mandir}/man1/$file
done

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYRIGHT README
%{_bindir}/*
%{_libexecdir}/p0rn-comfort/*
%{perl_vendorlib}/*
%{_mandir}/man1/*


%changelog
* Tue May 23 2006 Andreas Thienemann <andreas@bawue.net> 0.0.4-3
- Fixed up P0rn::Static and P0rn::DB to make manual Provides unnecessary

* Sun May 21 2006 Andreas Thienemann <andreas@bawue.net> 0.0.4-2
- Modified p0rn-proxy to actually access P0rn::Static
- Install some binaries into %%{_libexecdir}

* Thu Apr 27 2006 Andreas Thienemann <andreas@bawue.net> 0.0.4-1
- Cleaned up for FE
